> For the complete documentation index, see [llms.txt](https://docs.matrixian.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.matrixian.com/woningdata/woningfotos-api.md).

# Woningfoto's API

## GET /house-images

> This endpoint offers available, if any, images for a residential object. The response includes an array of image URLs which are available for download for 24 hours.

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"AddressInput":{"properties":{"postalCode":{"type":"string","title":"Postalcode","description":"Postal code"},"houseNumber":{"type":"integer","title":"Housenumber","description":"House number"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Houseletter","description":"House letter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Housenumberext","description":"House number extension"}},"type":"object","required":["postalCode","houseNumber"],"title":"AddressInput"},"HouseImagesResponse":{"properties":{"address":{"$ref":"#/components/schemas/Address","description":"Address"},"imagesDate":{"type":"string","format":"date","title":"Imagesdate","description":"Date of the images"},"images":{"items":{"type":"string"},"type":"array","title":"Images","description":"List of image URLs of the property."}},"type":"object","required":["address","imagesDate","images"],"title":"HouseImagesResponse"},"Address":{"properties":{"postalCode":{"description":"Postal code","title":"Postalcode","type":"string"},"houseNumber":{"description":"House number","title":"Housenumber","type":"integer"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"House letter","title":"Houseletter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"House number extension","title":"Housenumberext"}},"required":["postalCode","houseNumber"],"title":"Address","type":"object"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/house-images":{"get":{"description":"This endpoint offers available, if any, images for a residential object. The response includes an array of image URLs which are available for download for 24 hours.","operationId":"HouseImages","parameters":[{"description":"Postal code","required":true,"style":"form","explode":true,"schema":{"type":"string"},"name":"postalCode","in":"query"},{"description":"House number","required":true,"style":"form","explode":true,"schema":{"type":"integer"},"name":"houseNumber","in":"query"},{"description":"House letter","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseLetter","in":"query"},{"description":"House number extension","required":false,"style":"form","explode":true,"schema":{"type":"string"},"name":"houseNumberExt","in":"query"}],"responses":{"200":{"description":"HouseImagesResponse","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"$ref":"#/components/schemas/HouseImagesResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/AddressInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## GET /get\_front\_view

> This endpoint offers a single image with a front view on a residential object. The response includes an image URL which is available for download for 24 hours.

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"servers":[{"url":"https://api.matrixian.com/v1","description":"Matrixian API"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"{{API_KEY}}"}},"schemas":{"GetFrontViewInput":{"properties":{"bagNumIds":{"items":{"type":"string"},"type":"array","title":"Bagnumids"}},"type":"object","required":["bagNumIds"],"title":"GetFrontViewInput"},"FrontViewImageResponse":{"properties":{"items":{"items":{"$ref":"#/components/schemas/FrontViewImage"},"type":"array","title":"Items"}},"type":"object","required":["items"],"title":"FrontViewImageResponse"},"FrontViewImage":{"properties":{"imageUrl":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"URL of the front view image of the property.","title":"Imageurl"},"numberId":{"description":"BAG nummeraanduiding ID of the property.","title":"Numberid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"Source from which the front view image was retrieved.","title":"Source"},"timestamp":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Unix timestamp of when the image was stored.","title":"Timestamp"}},"required":["numberId"],"title":"FrontViewImage","type":"object"},"ErrorObject":{"properties":{"code":{"type":"integer","title":"Code"},"message":{"type":"string","title":"Message"},"errors":{"items":{"$ref":"#/components/schemas/ErrorDetail"},"type":"array","title":"Errors"}},"type":"object","required":["code","message","errors"],"title":"ErrorObject"},"ErrorDetail":{"properties":{"reason":{"type":"string","title":"Reason"},"message":{"type":"string","title":"Message"}},"type":"object","required":["reason","message"],"title":"ErrorDetail"}}},"paths":{"/get_front_view":{"get":{"description":"This endpoint offers a single image with a front view on a residential object. The response includes an image URL which is available for download for 24 hours.","operationId":"getFrontView","parameters":[{"required":true,"style":"form","explode":false,"schema":{"items":{"type":"string"},"type":"array"},"name":"bagNumIds","in":"query"}],"responses":{"200":{"description":"FrontViewImageResponse","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"$ref":"#/components/schemas/FrontViewImageResponse"},"error":{"additionalProperties":{"type":"string"},"type":"object"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["data","status"]}}}},"400":{"description":"HTTP 400","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"401":{"description":"HTTP 401","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"403":{"description":"HTTP 403","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"}},"type":"object","required":["message"]}}}},"404":{"description":"HTTP 404","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}},"500":{"description":"HTTP 500","content":{"application/json":{"schema":{"properties":{"id":{"anyOf":[{"type":"string"},{"type":"null"}]},"params":{"$ref":"#/components/schemas/GetFrontViewInput"},"data":{"additionalProperties":{"type":"string"},"type":"object"},"error":{"$ref":"#/components/schemas/ErrorObject"},"meta":{"anyOf":[{"additionalProperties":{"type":"string"},"type":"object"},{"type":"null"}]},"status":{"type":"string"}},"type":"object","required":["error","status"]}}}}}}}}}
```

## The HouseImagesResponse object

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"HouseImagesResponse":{"properties":{"address":{"$ref":"#/components/schemas/Address","description":"Address"},"imagesDate":{"type":"string","format":"date","title":"Imagesdate","description":"Date of the images"},"images":{"items":{"type":"string"},"type":"array","title":"Images","description":"List of image URLs of the property."}},"type":"object","required":["address","imagesDate","images"],"title":"HouseImagesResponse"},"Address":{"properties":{"postalCode":{"description":"Postal code","title":"Postalcode","type":"string"},"houseNumber":{"description":"House number","title":"Housenumber","type":"integer"},"houseLetter":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"House letter","title":"Houseletter"},"houseNumberExt":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"House number extension","title":"Housenumberext"}},"required":["postalCode","houseNumber"],"title":"Address","type":"object"}}}}
```

## The FrontViewImageResponse object

```json
{"openapi":"3.1.1","info":{"title":"Matrixian API","version":"1.0.0"},"components":{"schemas":{"FrontViewImageResponse":{"properties":{"items":{"items":{"$ref":"#/components/schemas/FrontViewImage"},"type":"array","title":"Items"}},"type":"object","required":["items"],"title":"FrontViewImageResponse"},"FrontViewImage":{"properties":{"imageUrl":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"URL of the front view image of the property.","title":"Imageurl"},"numberId":{"description":"BAG nummeraanduiding ID of the property.","title":"Numberid","type":"string"},"source":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"description":"Source from which the front view image was retrieved.","title":"Source"},"timestamp":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Unix timestamp of when the image was stored.","title":"Timestamp"}},"required":["numberId"],"title":"FrontViewImage","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.matrixian.com/woningdata/woningfotos-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
